<!--
 * @Descripttion: 当前组件信息
 * @version: 1.0.0
 * @Author: 无尘
 * @Date: 2020-06-08 15:37:08
 * @LastEditors: 无尘
 * @LastEditTime: 2020-06-09 11:14:07
-->
<template>
  <div class="api-body-content border-box">
    {{ logData }}
    <!--<ul>
      <li v-for="(item, index) in logData" :key="index + 'log'">{{ item }}</li>
    </ul>-->
  </div>
</template>
<script>
export default {
  data() {
    return {
      logData: ''
    };
  },
  mounted() {
    const that = this;
    that.$nextTick(() => {
      let logStore = localStorage.getItem('logInfo');
      that.logData = logStore;
    });
    that.$once('hook:beforeDestroy', () => {
      that.$store.dispatch('clearLogInfo');
    });
  },
  beforeDestroy() {
    const that = this;
    that.$store.dispatch('clearLogInfo');
  }
};
</script>
<style lang="less" scoped>
.api-body-content {
  min-height: 100vh;
  background: #303133;
  color: #fff;
}
</style>
